ANSICAT(1)

NAME
ansicat - terminal gemini gemtext renderer for offpunk

SYNOPSIS
ansicat [--format RENDERER] [--mime MIME] [--url URL ...] [--mode MODE] [--linkmode LINKMODE] [INPUT ...]
ansicat -h | --help

DESCRIPTION
ansicat is a terminal rendering tool that will render multiple formats (HTML, Gemtext, RSS, Gophermap, Image) into ANSI text and colors. When used on a file, ansicat will try to autodetect the format. When used with standard input, the format must be manually specified. If the content contains links, the original URL of the content can be specified in order to correctly modify relatives links.

  Positional arguments

INPUT
    path to the text to render. It defaults to the standard input.

  Keyword arguments

-h, --help
    show a help message and exit.

--format RENDERER
    renderer to use. Available renderers are auto, gemtext, html, feed, gopher, image, and folder. The auto renderer will heuristically guess the format, either thanks to the MIME type, or from the file being rendered itself.

--mime MIME
    MIME type of the content to parse.

--mode MODE
    MODE to use to render to choose between normal (default), full or source

--linkmode LINKMODE
    LINKMODE to use to render links. Available are none (default) and end. This option will not effect render mode source.

--url URL ...
    original URL of the content.

EXIT STATUS

SEE ALSO
migrate-offpunk-cache(1), netcache(1), offpunk(1), openk(1), https://offpunk.net/

AUTHORS
Lionel Dricot (Ploum) <offpunk2 at ploum.eu>